<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Phone number</title>
</head>
<body>
<main>
<form action="#" method="get">
    <fieldset>
        <legend>Your data</legend>
        <label for="phone">Phone number</label>
        <input type="tel" id="phone" pattern="^0?[1-9][0-9]{7,8}$">
            <!-- should be 9 digits, or 10 digits starting with a zero -->

            <input type="submit" value="Send">
    </fieldset>
</form>
</main>
</body>
</html>